> ## Documentation Index
> Fetch the complete documentation index at: https://docs.blink.store/llms.txt
> Use this file to discover all available pages before exploring further.

# List checkout sessions

> Retrieve a paginated list of all checkout sessions for the store.

- **Request Headers:**
  - `x-store-id` (string, required): The ID of the store making the request.

- **Query Parameters:**
  - `limit` (integer, optional): Number of items per page.
  - `page` (integer, optional): Page number to retrieve.
  - `status` (string, optional): Filter by session status.

- **Response:** A paginated list of checkout sessions with transaction details.

Helps in monitoring and analyzing checkout performance and customer behavior.



## OpenAPI

````yaml /api-reference/blink-api.json get /checkouts
openapi: 3.0.0
info:
  title: Blink API
  description: Comprehensive API documentation for Blink.
  version: 1.0.0
servers:
  - url: https://api.blink.store/v1
security:
  - storeIdHeader: []
tags:
  - name: Invoices
    description: Unified merchant of record invoices for products and subscriptions.
  - name: Geo Pricing
    description: Resolve Purchasing Power Parity (PPP) localized pricing.
paths:
  /checkouts:
    get:
      tags:
        - Checkouts
      summary: List checkout sessions
      description: >-
        Retrieve a paginated list of all checkout sessions for the store.


        - **Request Headers:**
          - `x-store-id` (string, required): The ID of the store making the request.

        - **Query Parameters:**
          - `limit` (integer, optional): Number of items per page.
          - `page` (integer, optional): Page number to retrieve.
          - `status` (string, optional): Filter by session status.

        - **Response:** A paginated list of checkout sessions with transaction
        details.


        Helps in monitoring and analyzing checkout performance and customer
        behavior.
      parameters:
        - name: limit
          in: query
          schema:
            type: integer
          description: Number of items per page.
        - name: page
          in: query
          schema:
            type: integer
          description: Page number to retrieve.
        - name: status
          in: query
          schema:
            type: string
          description: Filter by checkout session status.
      responses:
        '200':
          description: Checkout sessions retrieved successfully.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CheckoutSessionsList'
      security:
        - storeIdHeader: []
components:
  schemas:
    CheckoutSessionsList:
      type: object
      properties:
        meta:
          type: object
          properties:
            total:
              type: integer
            page:
              type: integer
            limit:
              type: integer
            has_more:
              type: boolean
        data:
          type: array
          items:
            $ref: '#/components/schemas/CheckoutSessionDetails'
    CheckoutSessionDetails:
      type: object
      properties:
        id:
          type: string
        url:
          type: string
        status:
          type: string
        payment_status:
          type: string
        customer_email:
          type: string
        amount_total:
          type: integer
        currency:
          type: string
        product_id:
          type: string
        variant_id:
          type: string
        expires_at:
          type: string
          format: date-time
        created_at:
          type: string
          format: date-time
  securitySchemes:
    storeIdHeader:
      type: apiKey
      in: header
      name: x-store-id

````